Get customer transactions using customer ID
Introduction
This API enables the transfer of bank account data between separate banks with the bank account holder's consent. The data that can be transferred includes:
- Personal information and user details
- 6 month transaction details
- 12 month transaction details
- Ongoing checks on monthly basis
- On-demand data pull
This API helps to get the transaction details of the account holder using the customer ID that is linked with the customer.
API Input Guidelines
Customer ID of the account holder should be used as the input.
Sample Curl
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/bank-connect/transactions?fromDate=1670220883&toDate=1672899283&limit=100&sort=asc' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"customerId": true
}'
Input Parameters
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION |
|---|---|---|
Authorization | Required | Authorization token |
Content-Type | Required | application/json |
customerId | Required | Customer id |
Query Parameters
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION |
|---|---|---|
fromDate | Required | Timestamp of starting date object |
toDate | Required | Timestamp of ending date object |
limit | Required | number of transactions in response |
start | Optional | Starting index for this page (basically skip field in other paginated applications) |
sort | Optional | Sort order: desc or asc. Default is desc for descending order (newest transactions are on page 1); also allows asc for ascending order (oldest transactions are on page ) |
Sample Response
{
"found": number
"displaying": number
"moreAvailable": boolean,
"fromDate": number
"toDate": number
"sort": string
"transactions": [
{
"id": number
"amount": number
"accountId": number
"customerId": number
"status": string
"description": string
"memo": string
"type": string
"transactionDate": number
"postedDate": number
"createdDate": number
"firstEffectiveDate": number
"effectiveDate": number
"checkNum": number
"escrowAmount": number
"feeAmount": number
"suspenseAmount": number
"interestAmount": number
"principalAmount": number
"unitQuantity": number
"unitPrice": number
"categorization": {
"normalizedPayeeName": string
"category": string
"city": string
"state": string
"postalCode": string
"country": string
"bestRepresentation": string
},
"runningBalanceAmount": number
"subaccountSecurityType": string
"commissionAmount": number
"ticker": string
"investmentTransactionType": string
"taxesAmount": number
"currencySymbol": string
"incomeType": string
"splitDenominator": number
"splitNumerator": number
"sharesPerContract": number
"subAccountFund": string
"securityId": string
"securityIdType": string
}
]
}Response Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
result.found | The total number of results matching search criteria |
result.displaying | The number of results returned. |
result.moreAvailable | If this is true then, you can retrieve the next page of results by increasing the value of the start parameter in your next request. |
result.fromDate | The date from which the transaction detail is available. |
result.toDate | The date upto which the transaction detail is available. |
result.sort | Value of the sort request parameter that generated this response. |
result.transactions | The array of transactions. |
transactions.id | This shows the transaction ID |
transactions.amount | The amount that is transacted is shown here. |
transactions.accountId | The ID of the account from which the transaction is done. |
transactions.customerId | The customer ID linked with the customer. |
transactions.status | This shows the status of the transaction: active, pending or shadow. |
transactions.description | The description value is from the financial institution (FI), often known as the payee. The value "No description provided by institution" is returned when the FI doesn't provide one |
transactions.memo | The institution must provide either a description, a memo, or both. We recommended concatenating the two fields into a single value. |
transactions.type | The type of transaction that is done by the customer is shown here. |
transactions.transactionDate | This shows the date on which the transaction was done. |
transactions.postedDate | Represents the timestamp of the transaction when it was posted or cleared by the institution. |
transactions.createdDate | Represents the timestamp of the transaction when it was added to our platform. |
transactions.firstEffectiveDate | Represents the first timestamp of the transaction recorded in the effectiveDate field. |
transactions.effectiveDate | Represents the timestamp of the transaction when it became effective on an account by an institution. |
transactions.checkNum | The check number of the transaction. |
transactions.escrowAmount | The portion of the transaction allocated to escrow. |
transactions.feeAmount | The portion of the overall transaction amount applied to fees. |
transactions.suspenseAmount | Temporarily hold funds if you overpay or underpay your monthly payment. |
transactions.interestAmount | The portion of the transaction allocated to interest. |
transactions.principalAmount | The portion of the transaction allocated to principal. |
transactions.unitQuantity | The number of units/individual shares in the transaction. |
transactions.unitPrice | Share price for the investment unit: stocks, mutual funds, ETFs |
categorization.normalizedPayeeName | A normalized payee, derived from the transaction's description and memo fields. |
categorization.category | The different categories for transactions, like, atm fee, bonus, bills and utility etc. |
categorization.city | City where the transaction took place. |
categorization.state | State where the transaction was done. |
categorization.postalCode | Postal code of the place of transaction. |
categorization.country | Coiuntry where the transaction took place. |
categorization.bestRepresentation | Combines the description and memo data together, removing duplicated information and numbers and special characters |
transactions.runningBalanceAmount | This shows the running balance amount in the account of the customer. |
transactions.subaccountSecurityType | The type of sub account the funds came from. |
transactions.comissionAmount | Transaction commission. |
transactions.ticker | Ticker symbol for the investment related to the transaction. |
transactions.investmentTransactionType | Keywords in the description and memo fields were used to translate investment transactions into these types. |
transactions.taxesAmount | Taxes applicable to the investment trade |
transactions.currencySymbol | This shows the symbol of the currency in which the trasnction took place. |
transactions.incomeType | Taxes applicable to the investment trade |
transactions.splitDenominator | Denominator of the stock split for the transaction. |
transactions.splitNumerator | Numerator of the stock split for the transaction. |
transactions.sharesPerContract | Shares per contract of the underlying stock option. |
transactions.AccountFund | The sub account where the funds came from. |
transactions.securityId | Security ID of the transaction. |
transactions.securityIdType | The security type. This field is related to the securityId field. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].